Subject: RE: [Enum] RE: [voipeer] draft-meyer-voipeer-terminology-03.txt

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 25 Oct 2005 14:14:36 -0400

Peter et all,

Trying to catch the tail of this thread...

My original comments were simply not to use an overly restrictive
definition of carrier tied to a term that implies *only* TDM networks.  

E.164 can be used beyond TDM networks.  

The term carrier may carry additional regulatory baggage over that of
service provider.

Henning raises the point that Skype can be a service, but may not want
to admit being a service provider until they admit to having servers
providing service.  There may be regulatory implications then.

SIP peering is broader than VoIP peering in that SIP can do more than
voice.

VoIP peering may be broader than SIP in that H.323 and Skype do VoIP
too.

Application peering goes beyond all the above, but does restrict it to
being above transport layer.

I don't see a need for flames as all these points are valid.

Mike

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Peter Williams
> Sent: Tuesday, October 25, 2005 11:39 AM
> Cc: [email-masked]
> Subject: Re: [Enum] RE: [voipeer] 
> draft-meyer-voipeer-terminology-03.txt
> 
> This looks fine.
> 
> We have the seperation of efforts, in some architecture, 
> without arguing over the politics of everyones' charters.
> 
> VIOPeer interacts with ENUM in the area of SIP URLs, 
> particular concerning Carrier ENUM question. If Carrier ENUM 
> has impacts upon ENUM in areas other than SIP URLs, they are 
> handled within ENUM WG. Folks with interest in this area, 
> perhaps to enforce the faith surrounding call routing data in 
> URI theory for SIP proxy interworking, just join in the fun 
> of ENUM WG.
> 
> Now where can I find that IBM Germany paper  from 10 years 
> ago that stuck a proxy outreach network on the front of 
> visanet, to make Internet commerce fit for mass adoption.... 
> some history is repeating itself in VOIPeering and ENUM!
> 
> >From: David Meyer <[email-masked]>
> >To: James McEachern <[email-masked]>
> >CC: [email-masked], [email-masked]
> >Subject: Re: [Enum] RE: [voipeer] 
> >draft-meyer-voipeer-terminology-03.txt
> >Date: Tue, 25 Oct 2005 08:21:02 -0700
> >
> >On Mon, Oct 24, 2005 at 08:21:05PM -0400, James McEachern wrote:
> > > Dave,
> > > I have one additional question on figure 1 of the voipeer 
> > > terminology
> >draft.
> > >
> > > The paragraph immediately before the figure states that:
> > >
> > >    Finally, note that the subsequent lookup steps,
> > >    namely, lookup of SRV, A, and AAAA records (as well as 
> any routing
> > >    steps below that) are outside the scope of VOIPEER.
> > >
> > > This suggests that in addition to drawing the boundary 
> between ENUM 
> > > and
> >VOIPEER WGs, we should also draw the boundary between VOIPEER WG and 
> >other WGs.  This suggests something like the following 
> changes to the 
> >diagram to align with the text in the draft:
> > >
> > >
> > >
> > >
> > >
> > >            E.164 number <--- Peer Discovery
> > >                 |
> > >                 | <--- ENUM lookup of NAPTR in DNS
> > >                 |
> > >                 |
> > >                 | ENUM Working Group Scope
> > >            =====+=======================================
> > >                 | VOIPEER Working Group Scope
> > >                 |
> > >                 |
> > >            SIP URI <--- Call Routing Data (CRD)
> > >            =====+=======================================
> > >                 | Out of scope for VOIPEER Working Group
> > >                 |
> > >                 | <--- Service Location (Lookup of SRV in DNS)
> > >                 |
> > >                 |
> > >            Hostname <--- VoIP addressing and session establishment
> > >                 |
> > >                 | <---- Lookup of A and AAAA in DNS
> > >                 |
> > >            Ip address
> > >                 |
> > >                 | <---- Routing protocols, ARP etc
> > >                 |
> > >            Mac-address
> > >
> > >    Figure 1: VoIP Interconnect Context
> > >
> >
> >	Yeah, I'd thought about doing that but at first look the
> >	picture was getting to complicated (as its utility is
> >	sort of inversely proportional to its complexity). In any
> >	event, I'll take a look at including the "lower bound".
> >
> >	Dave
> 
> 
> ><< attach4 >>
> 
> 
> 
> 
> >_______________________________________________
> >enum mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/enum
> 
> 
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum